# Generated by Django 3.0 on 2019-12-16 10:31

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Todo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('status', models.CharField(choices=[('N', 'Todo'), ('P', 'In Progress'), ('D', 'Done')], default='N', max_length=30)),
                ('size', models.PositiveIntegerField(default=1)),
                ('due', models.DateField(auto_now_add=True)),
                ('due_time', models.DateTimeField(auto_now_add=True)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('users', models.ManyToManyField(blank=True, related_name='shares', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
